Managed Private Endpoints - Create

Create Managed Private Endpoints

PUT {endpoint}/managedVirtualNetworks/{managedVirtualNetworkName}/managedPrivateEndpoints/{managedPrivateEndpointName}?api-version=2020-12-01

URI Parameters

Name In Required Type Description
endpoint
path True

string

The workspace development endpoint, for example https://myworkspace.dev.azuresynapse.net.

managedPrivateEndpointName
path True

string

Managed private endpoint name

managedVirtualNetworkName
path True

string

Managed virtual network name

api-version
query True

string

The Synapse client API Version.

Request Body

Name Type Description
properties

ManagedPrivateEndpointProperties

Managed private endpoint properties

Responses

Name Type Description
200 OK

ManagedPrivateEndpoint

Examples

Create a managed private endpoint

Sample request

PUT exampleWorkspace.dev.azuresynapse.net/managedVirtualNetworks/default/managedPrivateEndpoints/myPrivateEndpoint?api-version=2020-12-01

{
  "properties": {
    "privateLinkResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.Storage/accounts/myStorageAccount",
    "groupId": "blob"
  }
}

Sample response

{
  "type": "Microsoft.Synapse/workspaces/managedVirtualNetworks/managedPrivateEndpoints",
  "name": "myPrivateEndpoint",
  "properties": {
    "privateLinkResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.Storage/accounts/myStorageAccount",
    "groupId": "blob",
    "provisioningState": "Provisioning",
    "connectionState": {
      "status": "Pending",
      "description": "",
      "actionsRequired": ""
    }
  }
}

Definitions

Name Description
ManagedPrivateEndpoint

Managed private endpoint

ManagedPrivateEndpointConnectionState

The connection state of a managed private endpoint

ManagedPrivateEndpointProperties

Properties of a managed private endpoint

ManagedPrivateEndpoint

Managed private endpoint

Name Type Description
id

string

Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties

ManagedPrivateEndpointProperties

Managed private endpoint properties

type

string

The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

ManagedPrivateEndpointConnectionState

The connection state of a managed private endpoint

Name Type Description
actionsRequired

string

The actions required on the managed private endpoint

description

string

The managed private endpoint description

status

string

The approval status

ManagedPrivateEndpointProperties

Properties of a managed private endpoint

Name Type Description
connectionState

ManagedPrivateEndpointConnectionState

The managed private endpoint connection state

fqdns

string[]

List of fully qualified domain names

groupId

string

The groupId to which the managed private endpoint is created

isCompliant

boolean

Denotes whether the managed private endpoint is compliant

isReserved

boolean

Denotes whether the managed private endpoint is reserved

name

string

The name of managed private endpoint

privateLinkResourceId

string

The ARM resource ID of the resource to which the managed private endpoint is created

provisioningState

string

The managed private endpoint provisioning state